* * *

Author Topic: Fpcupdeluxe  (Read 15615 times)

criageek

  • Jr. Member
  • **
  • Posts: 79
Re: Fpcupdeluxe
« Reply #285 on: January 11, 2017, 06:30:09 pm »
Great!  Thanks @DonAlfredo!  I'll give it a shot shortly.

Rich

criageek

  • Jr. Member
  • **
  • Posts: 79
Re: Fpcupdeluxe
« Reply #286 on: January 12, 2017, 02:04:48 am »
Success!  I have Lazarus (trunk) up and running on Odroid C2  :)  It failed when I tried it on the Pine A64, but so did the first attempt on the Odroid, so I'm trying again.

Is there a trick to getting it to work on the Raspberry Pi 3?  I know others have made it work but I've been unable to, although it's been a few days since I tried.  I used the arm version of fpcupdeluxe.

Thanks!

Rich

DonAlfredo

  • Hero Member
  • *****
  • Posts: 547
Re: Fpcupdeluxe
« Reply #287 on: January 12, 2017, 08:45:09 am »
About RPi3: you need to give me more info to be able to help you !

criageek

  • Jr. Member
  • **
  • Posts: 79
Re: Fpcupdeluxe
« Reply #288 on: January 12, 2017, 02:31:26 pm »
@DonAlfredo - ok...here is the bottom of the log file from last night's attempt:

Raspberry Pi 3
Ubuntu Mate 16.10
ARM version of fpcupdeluxe
Trunk

make[5]: Entering directory '/home/rich/Lazarus/Trunk/fpc300bootstrap/compiler'
/home/rich/Lazarus/Trunk/fpcbootstrap/ppcarm -Ur -Xs -O2 -n -Fuarm -Fusystems -Fu/home/rich/Lazarus/Trunk/fpc300bootstrap/rtl/units/arm-linux -Fiarm -FE. -FUarm/units/arm-linux -dRELEASE -vi-n-h-   -darm -dGDB -dBROWSERLOG  -Sew -FE. utils/msg2inc.pp
/usr/bin/ld: warning: ./link.res contains output sections; did you forget -T?
make[5]: Leaving directory '/home/rich/Lazarus/Trunk/fpc300bootstrap/compiler'
./msg2inc msg/errore.msg msg msg
Loading messagefile msg/errore.msg
Writing enumfile msgidx.inc
Writing stringfile msgtxt.inc
/home/rich/Lazarus/Trunk/fpcbootstrap/ppcarm -Ur -Xs -O2 -n -Fuarm -Fusystems -Fu/home/rich/Lazarus/Trunk/fpc300bootstrap/rtl/units/arm-linux -Fiarm -FE. -FUarm/units/arm-linux -dRELEASE -vi-n-h-   -darm -dGDB -dBROWSERLOG  -Sew pp.pas
comprsrc.pas(553) Error: Can't call the assembler, error -1 switching to external assembling
comprsrc.pas(553) Fatal: There were 2 errors compiling module, stopping
Fatal: Compilation aborted
Makefile:3925: recipe for target 'ppcarm' failed
make[4]: *** [ppcarm] Error 1
make[4]: Leaving directory '/home/rich/Lazarus/Trunk/fpc300bootstrap/compiler'
Makefile:3967: recipe for target 'next' failed
make[3]: *** [next] Error 2
make[3]: Leaving directory '/home/rich/Lazarus/Trunk/fpc300bootstrap/compiler'
Makefile:3972: recipe for target 'ppc1' failed
make[2]: *** [ppc1] Error 2
make[2]: Leaving directory '/home/rich/Lazarus/Trunk/fpc300bootstrap/compiler'
Makefile:3984: recipe for target 'cycle' failed
make[1]: *** [cycle] Error 2
make[1]: Leaving directory '/home/rich/Lazarus/Trunk/fpc300bootstrap/compiler'
Makefile:2780: recipe for target 'compiler_cycle' failed
make: *** [compiler_cycle] Error 2
make: Leaving directory '/home/rich/Lazarus/Trunk/fpc300bootstrap'
fpcupdeluxe: ERROR: Running make cycle for intermediate bootstrap compiler failed
fpcupdeluxe: info: Error running fpcup. Technical details: error executing sequence fpc; line: 5, param: FPC
fpcupdeluxe: info: Error running fpcup. Technical details: error executing sequence defaultARM; line: 3, param: fpc


ERROR: Fpcupdeluxe failed.


On a side note, I have successfully installed NewPascal on a laptop running Ubuntu 16.10 and installed cross-compilers for Win32, Win64, and aarch64-linux.  I was able to build an aarch64 binary (after entering the extra linking defines in the lpr file) that ran successfully on both the Odroid C2 and the Pine A64.  Although I still can't get Lazarus installed on the Pine A64.  I'll save that problem until I get the Pi3 running.

Thanks!

Rich
 

DonAlfredo

  • Hero Member
  • *****
  • Posts: 547
Re: Fpcupdeluxe
« Reply #289 on: January 12, 2017, 04:12:09 pm »
Do you have binutils and other required packages installed ?

criageek

  • Jr. Member
  • **
  • Posts: 79
Re: Fpcupdeluxe
« Reply #290 on: January 12, 2017, 08:46:04 pm »
@DonAlfredo:  Yes, I ran the following command and it says all are the latest version:

sudo aptitude install make binutils build-essential gdb subversion zip unzip libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev

Rich

DonAlfredo

  • Hero Member
  • *****
  • Posts: 547
Re: Fpcupdeluxe
« Reply #291 on: January 13, 2017, 06:15:52 pm »
Ok. Got it working on RPi3 with Ubuntu !
New version: https://github.com/newpascal/fpcupdeluxe/releases/download/v1.2.0c/fpcupdeluxe-arm-linux

Please take note: for Lazarus, you need lots of memory.
So, make a swapfile before running fcupdeluxe.

de_jean_7777

  • New member
  • *
  • Posts: 7
    • dbX
Re: Fpcupdeluxe
« Reply #292 on: January 13, 2017, 08:19:08 pm »
I used fpcupdeluxe 1.2.0.c. Lazarus failed to build because fpc.sh returned an error.
Quote
Illegal parameter: llegal parameter: Thread/6.3.1

Commenting this out from fpc.cfg allowed to build lazarus successfully (it did error out somewhere near the end).  This is on Fedora 25 64-bit. Hope it helps someone.
All the sexy girls want me... to fix their PC.

criageek

  • Jr. Member
  • **
  • Posts: 79
Re: Fpcupdeluxe
« Reply #293 on: January 14, 2017, 01:27:23 am »
Thanks @DonAlfredo!  Just loaded up trunk on the Raspberry Pi 3  :)  Tomorrow I'll try again on the Pine A64.  If it fails I'll post the results, but I know it's a bit of an oddball, so won't expect you to spend a bunch of time on it  ;)

Rich

DonAlfredo

  • Hero Member
  • *****
  • Posts: 547
Re: Fpcupdeluxe
« Reply #294 on: January 14, 2017, 09:05:07 am »
@criageek
Glad that it worked for you ! Hope it will also work on the Pine64.
I myself am waiting for the C.H.I.P. board: it has eMMC (NAND) ... much better lifetime than SD.
(I am running my Odroid also from eMMC)

@de_jean_7777
Thanks for reporting.
This error has been reported before. And has been filed under Cosmic Ray Errors (CRE): no luck whatsoever in finding the cause and/or reproducing the error ... ;-(

criageek

  • Jr. Member
  • **
  • Posts: 79
Re: Fpcupdeluxe
« Reply #295 on: January 14, 2017, 06:45:22 pm »
@DonAlfredo - It still doesn't work on the Pine A64  :(.  The bottom part of the log is posted below...any ideas?  The last line of the log is line number 11497, so it gets quite a ways into before failing.

Where did you get your eMMC card?  When I did a little research it seemed like they were quite expensive.

Rich

(9009) Assembling frclarifyspaces
tanavigation.pas(429) Error: (9008) Can't call the assembler, error -1 switching to external assembling
tanavigation.pas(429) Fatal: (10026) There were 2 errors compiling module, stopping
Fatal: (1018) Compilation aborted
(3104) Compiling /home/rich/Lazarus/Trunk/lazarus/components/jcf2/Ui/Settings/frClarifyIndent.pas
/home/rich/Lazarus/Trunk/lazarus/components/jcf2/Ui/Settings/frClarifyIndent.pas(64,26) Hint: (5024) Parameter "ADialog" not used
/home/rich/Lazarus/Trunk/lazarus/components/jcf2/Ui/Settings/frClarifyIndent.pas(65,33) Hint: (5024) Parameter "AOptions" not used
/home/rich/Lazarus/Trunk/lazarus/components/jcf2/Ui/Settings/frClarifyIndent.pas(66,34) Hint: (5024) Parameter "AOptions" not used
(9009) Assembling codyregistration
Error: /home/rich/Lazarus/Trunk/fpc/bin/aarch64-linux/ppca64 returned an error exitcode
Error: (lazarus) Compile package TAChartLazarusPkg 1.0: stopped with exit code 256
/home/rich/Lazarus/Trunk/lazarus/components/lazreport/source/lr_class.pas(12559,41) Warning: (4105) Implicit string type conversion with potential data loss from "WideString" to "AnsiString
Error: (lazarus) Compile package lazreport 0.9.9: terminated
/home/rich/Lazarus/Trunk/lazarus/components/jcf2/Ui/Settings/frClarifyIndent.pas(58,37) Hint: (5024) Parameter "Sender" not used
/home/rich/Lazarus/Trunk/lazarus/components/jcf2/Ui/Settings/frClarifyIndent.pas(59,42) Hint: (5024) Parameter "Sender" not used
(9009) Assembling frclarifyindent
Error: (lazarus) Compile package Cody 1.1: terminated
Error: (lazarus) Compile package jcfidelazarus 2.0: terminated
Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 256"
Error: (lazarus) Building IDE: Compile AutoInstall Packages failed.

fpcupdeluxe: info: InstallerUniversal: error trying to rebuild Lazarus.
Details:
fpcupdeluxe: info: Error running fpcup. Technical details: error executing sequence suggestedpackages; line: 5, param: suggestedpackages
fpcupdeluxe: info: Error running fpcup. Technical details: error executing sequence UniversalDefault; line: 2, param: suggestedpackages
fpcupdeluxe: info: Error running fpcup. Technical details: error executing sequence lazarus; line: 7, param: UniversalDefault
fpcupdeluxe: info: Error running fpcup. Technical details: error executing sequence defaultARM; line: 4, param: lazarus


DonAlfredo

  • Hero Member
  • *****
  • Posts: 547
Re: Fpcupdeluxe
« Reply #296 on: January 14, 2017, 11:34:20 pm »
Does adding more swap help ?

I ordered eMMC 8GB together with C2.
Not cheap but very much better for long term reliability.

criageek

  • Jr. Member
  • **
  • Posts: 79
Re: Fpcupdeluxe
« Reply #297 on: January 15, 2017, 05:17:48 am »
Success!  I know I created a swap file on the Pine A64, but apparently I did something wrong because it had no swap file.  Once I created a 1gb swap file, Lazarus trunk installed perfectly!

So now I have Lazarus up and running on Raspberry Pi 2, Raspberry Pi 3, Odroid C2, Pine A64, Windows 10, and Ubuntu 16.10.

Thanks again @DonAlfredo...I appreciate all your help  :)

Rich

DonAlfredo

  • Hero Member
  • *****
  • Posts: 547
Re: Fpcupdeluxe
« Reply #298 on: January 15, 2017, 10:10:49 am »
You're welcome.

But stay tuned.
I am now working on out-of-the-box cross-compiling from Windows towards Darwin i386 and x86_64.
I saw an announcement on the Delphi list about Darwin cross-compiling.
https://plus.google.com/109334532832375082802/posts/AjPJfUphLDZ?sfc=true
https://plus.google.com/109334532832375082802
http://www.crossvcl.com/

At the moment, all fpcupdeluxe Mac binaries are already made by cross-compiling on my Win10 PC. But the setup is not that easy. So today, I hope to release a new fpcupdeluxe version that will make this as easy as all other cross-compilers.

minesadorada

  • Sr. Member
  • ****
  • Posts: 476
  • Retired
Re: Fpcupdeluxe
« Reply #299 on: January 15, 2017, 10:28:22 am »
You're welcome.

But stay tuned.
I am now working on out-of-the-box cross-compiling from Windows towards Darwin i386 and x86_64.
I saw an announcement on the Delphi list about Darwin cross-compiling.
https://plus.google.com/109334532832375082802/posts/AjPJfUphLDZ?sfc=true
https://plus.google.com/109334532832375082802
http://www.crossvcl.com/

At the moment, all fpcupdeluxe Mac binaries are already made by cross-compiling on my Win10 PC. But the setup is not that easy. So today, I hope to release a new fpcupdeluxe version that will make this as easy as all other cross-compilers.
Good News!  The oxcross method stopped working some editions ago.
I look forward to the upcoming release.
GPL Apps: Health MonitorRetro Ski Run
OnlinePackageManager Components: LazAutoUpdate, LongTimer, PoweredBy, ScrollText, PlaySound, CryptINI

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus